Next: 4.5.6 Environment Variables Up: 4.5 The PIC14 port Previous: 4.5.4 Linking and Assembling Contents Index

## 4.5.5 Command-Line Options

Besides the switches common to all SDCC backends, the PIC14 port accepts the following options (for an updated list see sdcc --help):

--debug-xtra
  emit debug info in assembly output
--no-pcode-opt
  disable (slightly faulty) optimization on pCode
--stack-loc
  sets the lowest address of the argument passing stack (defaults to a suitably large shared databank to reduce BANKSEL overhead)
--stack-size
  sets the size if the argument passing stack (default: 16, minimum: 4)